XmVaCreateList(3)

NAME
XmVaCreateList, XmVaCreateManagedList — A List widget convenience creation functions.

SYNOPSIS

#include <Xm/List.h>

Widget XmVaCreateList(
Widget parent,
String name,
...);

Widget XmVaCreateManagedList(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a List widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateList function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedList function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of List and its associated resources, see XmList(3).

RETURN

Returns the List widget ID.

RELATED

XmList(3), XmCreateList(3), XtCreateWidget(3), and XtCreateManagedWidget(3).